Bug 243898 - [NEW PORT] sysutils/p5-Proc-ProcessTable-Match Matches a Proc::ProcessTable::Process against a stack of checks.
Summary: [NEW PORT] sysutils/p5-Proc-ProcessTable-Match Matches a Proc::ProcessTable...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-05 07:34 UTC by Zane C. Bowers-Hadley
Modified: 2020-08-15 22:30 UTC (History)
0 users

See Also:


Attachments
svn diff (5.64 KB, patch)
2020-02-05 07:34 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (5.68 KB, patch)
2020-04-08 03:02 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2020-02-05 07:34:25 UTC
Created attachment 211372 [details]
svn diff

Porting this in preperation to port ncps.
Comment 1 Zane C. Bowers-Hadley 2020-04-08 03:02:10 UTC
Created attachment 213176 [details]
svn diff

now with RUN depends!
Comment 2 commit-hook freebsd_committer 2020-08-15 22:28:36 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 15 22:27:54 UTC 2020
New revision: 545075
URL: https://svnweb.freebsd.org/changeset/ports/545075

Log:
  sysutils/p5-Proc-ProcessTable-Match: create port

  Matches a Proc::ProcessTable::Process against a stack of checks.

  This can include cmndline, command fname, EGID, and more.

  WWW: https://metacpan.org/release/Proc-ProcessTable-Match

  PR:		243898
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
  head/sysutils/Makefile
  head/sysutils/p5-Proc-ProcessTable-Match/
  head/sysutils/p5-Proc-ProcessTable-Match/Makefile
  head/sysutils/p5-Proc-ProcessTable-Match/distinfo
  head/sysutils/p5-Proc-ProcessTable-Match/pkg-descr
  head/sysutils/p5-Proc-ProcessTable-Match/pkg-plist
Comment 3 Steve Wills freebsd_committer 2020-08-15 22:30:51 UTC
Committed, thanks!